Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::ConeIntersection Class Reference

コーン交差 More...

`#include <ConeIntersection.h>`

List of all members.

## Static Public Member Functions
bool | intersect (const Cone &cone, const Vector3 &point)
| 点交差
bool | intersect (const Cone &cone0, const Cone &cone1)
| コーン交差
bool | intersect (const Cone &cone, const Line &line)
| ライン交差
bool | intersect (const Cone &cone, const OrientedBox &ob)
| 指向性ボックス交差
bool | intersect (const Cone &cone, const Plane &plane)
| 平面交差
bool | intersect (const Cone &cone, const Ray &ray)
| レイ交差
bool | intersect (const Cone &cone, const Segment &segment)
| セグメント交差
bool | intersect (const Cone &cone, const Sphere &sphere)
| 球交差
bool | intersect (const Cone &cone, const Triangle &triangle)
| 三角交差

## Detailed Description

コーン交差

Definition at line 43 of file ConeIntersection.h.

## Member Function Documentation

bool Lamp::ConeIntersection::intersect | ( | const Cone & | cone,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角交差 Parameters:
  cone | コーン
  triangle | 三角
Returns: 交差していればtrue Definition at line 100 of file ConeIntersection.cpp. References Assert.

bool Lamp::ConeIntersection::intersect | ( | const Cone & | cone,
|  | const Sphere & | sphere
| ) | `[static]`

  | 球交差 Parameters:
  cone | コーン
  sphere | 球
Returns: 交差していればtrue Definition at line 92 of file ConeIntersection.cpp. References Assert.

bool Lamp::ConeIntersection::intersect | ( | const Cone & | cone,
|  | const Segment & | segment
| ) | `[static]`

  | セグメント交差 Parameters:
  cone | コーン
  segment | セグメント
Returns: 交差していればtrue Definition at line 84 of file ConeIntersection.cpp. References Assert.

bool Lamp::ConeIntersection::intersect | ( | const Cone & | cone,
|  | const Ray & | ray
| ) | `[static]`

  | レイ交差 Parameters:
  cone | コーン
  ray | レイ
Returns: 交差していればtrue Definition at line 76 of file ConeIntersection.cpp. References Assert.

bool Lamp::ConeIntersection::intersect | ( | const Cone & | cone,
|  | const Plane & | plane
| ) | `[static]`

  | 平面交差 Parameters:
  cone | コーン
  plane | 平面
Returns: 交差していればtrue Definition at line 68 of file ConeIntersection.cpp. References Assert.

bool Lamp::ConeIntersection::intersect | ( | const Cone & | cone,
|  | const OrientedBox & | ob
| ) | `[static]`

  | 指向性ボックス交差 Parameters:
  cone | コーン
  ob | 指向性ボックス
Returns: 交差していればtrue Definition at line 60 of file ConeIntersection.cpp. References Assert.

bool Lamp::ConeIntersection::intersect | ( | const Cone & | cone,
|  | const Line & | line
| ) | `[static]`

  | ライン交差 Parameters:
  cone | コーン
  line | ライン
Returns: 交差していればtrue Definition at line 52 of file ConeIntersection.cpp. References Assert.

bool Lamp::ConeIntersection::intersect | ( | const Cone & | cone0,
|  | const Cone & | cone1
| ) | `[static]`

  | コーン交差 Parameters:
  cone0 | コーン
  cone1 | コーン
Returns: 交差していればtrue Definition at line 44 of file ConeIntersection.cpp. References Assert.

bool Lamp::ConeIntersection::intersect | ( | const Cone & | cone,
|  | const Vector3 & | point
| ) | `[static]`

  | 点交差 Parameters:
  cone | コーン
  point | 点
Returns: 交差していればtrue Definition at line 36 of file ConeIntersection.cpp. References Assert.

The documentation for this class was generated from the following files:

- ConeIntersection.h
- ConeIntersection.cpp